//#include <avr/eeprom.h>
//#include <EEPROM.h>
#include <avr/io.h>
#include <stdio.h>
#include <avr/sleep.h>
#include "TimerOne.h"

uint16_t val ;
uint8_t val8bit ;
//int8_t  val8bit_signed;
void uart_putbyte (uint8_t c)
{
  loop_until_bit_is_set(UCSR0A, UDRE0); // on vérifie que l'uart est libre
  UDR0 = c ; // copie du caractère dans l'UART
}

void setup()
{
  //Serial.begin(125000); // vitesse du port série pour transmettre 64 000 bit/s
  Serial.begin(38400); // pour 4000Hz soit 32000bps
  Timer1.initialize(250); // initialisation du timer
  Timer1.attachInterrupt(callback); // la fonction callback est appelée à chaque interruption
}

void callback ()
{
    val = analogRead(8) ; // conversion analogique vers numérique
    val8bit = ((val >> 2) ) ;
    //val8bit_signed = val8bit - 89 ;
    uart_putbyte (val8bit) ; // envoie l'échantillon de 8 bits sur le port série
    //Serial.println(val8bit_signed,DEC);
}

void loop()
{
  // mettre plutot le processeur en veille
  delay (1000);
}

